XAMPP 1.8.0 corrigir o phpmyadmin após atualização

Há poucos dias saiu XAMPP 1.8.0 Após a atualização de versão 1.7.7 Eu tive um problema bastante interessante. PhpMyAdmin-não minha abertura e izg″rmâvaše com 403

Acesso proibido!


Novo conceito de segurança do XAMPP:

Acesso ao objeto solicitado apenas está disponível a partir da rede local.

Esta definição pode ser configurada no arquivo. “httpd-xampp.conf”.

Agora eu abri o xampp httpd-conf que para mim... está localizado no / opt/lampp/etc/extra /, à primeira vista, parecia tudo bem. As regras para a rede local estavam bem. Para além de que eu iria abrir o localhost. WTF ??? Olhei o log e ver que meu acesso é cortado por konfiguaciâta. As coisas aqui já ahnaha-me e, francamente, tipo de um pouco de sorte eu encontrei o problema. След като преглеждах httpd. conf-а видях в Allow/Deny клаузите един последен ред Exigir que todos concedido. Ah a Eureka. Este é o novo mecanismo de controle que entrou em Apache 2.4. x. Dá acesso ou recusar tais tudo bem, Basicamente imitado a funcionalidade de permitir/negar :). За да поправим проблема добавяме exigem todas concedidas в директивите за папката /opt/lampp/phpmyadmin. Após as mudanças em mim fica assim

<Diretório “/opt / lampp / phpmyadmin”>
Limite AuthConfig AllowOverride
Permitir a ordem,negar
Permitir que todos
Exigir que todos concedido
</Diretório>

 

Você sempre pode tentar outro divoti, por exemplo, para renomear o pasta phpmyadmin algo diferente e não alias para. Mas é feio e não muito significativo 🙂

p. s pediu-me por que eu uso o XAMPP e não limpar a instalação de todos os componentes como é meu Debian nasceu – a resposta é muito simples – PREGUIÇA. Preguiça de escrever vários comandos então me buscar konfovete etc.. Muito fácil é tomar seu maço inteiro razarhiviraš e luz 😉

Reforçada por Zemanta

Deixe uma resposta

Seu endereço de email não será publicado. Campos obrigatórios são marcados *

anti SPAM *